/*
  AnalogReadSerial

  Reads an analog input on pin 0, prints the result to the Serial Monitor.
  Graphical representation is available using Serial Plotter (Tools > Serial Plotter menu).
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/AnalogReadSerial
*/

// the setup routine runs once when you press reset:



void setup() {
  // initialize serial communication at 9600 bits per second:

  //power ans switch
  pinMode(6, OUTPUT);
  digitalWrite(6, HIGH);
  delay(100);
  
  // //logic ans switch
  // pinMode(7, OUTPUT);
  // digitalWrite(7, LOW);
  // delay(100);


  //wakeup high
  pinMode(5, OUTPUT);
  digitalWrite(5, HIGH);

  //serial high Z
  pinMode(11,INPUT);
  pinMode(12,INPUT);

  //set reset transfer
  pinMode(4, INPUT); 
  pinMode(10,INPUT);
}

//poll reset
int rst;
void loop() {
rst = digitalRead(10);
digitalWrite(4,rst);
}
